/*
# %M% %Y% %I%
# The latest update : %G% at %U%
#
#%Z% mrcImageCrystalCreate ver %I%
#%Z% Created by 
#%Z%
#%Z% Usage : mrcImageCrystalCreate
#%Z% Attention
#%Z%
*/
static char __sccs_id[] = "%Z%mrcImageCrystalCreate ver%I%; Date:%D% %Z%";
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>                  
#define GLOBAL_DECLARATION
#include "../inc/config.h"
#include "mrcImage.h"
#include "lmrcImageCrystalCreate.h"

int
main(int argc, char* argv[]) 
{
	mrcImageCrystalCreateInfo  info;
	lmrcImageCrystalCreateInfo linfo;
	mrcImage in;
	mrcImage out;

	init0(&info);
    argCheck(&info, argc, argv);
    init1(&info);

	mrcFileRead(&in, info.In, "in main", 0);

	linfo.nx = info.nx;
	linfo.ny = info.ny;
	linfo.nz = info.nz;
	lmrcImageCrystalCreate(&out, &in, &linfo); 

	mrcStatDataSet(&out, 0);
	mrcFileWrite(&out, info.Out, "in main", 0);
	exit(EXIT_SUCCESS);
}

void
additionalUsage()
{
}

